"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentTextRepository = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const repository_1 = require("@loopback/repository");
const datasources_1 = require("../datasources");
const models_1 = require("../models");
let ContentTextRepository = class ContentTextRepository extends repository_1.DefaultCrudRepository {
    constructor(dataSource, objectNodeRepositoryGetter) {
        super(models_1.ContentText, dataSource);
        this.objectNodeRepositoryGetter = objectNodeRepositoryGetter;
        this.objectNode = this.createBelongsToAccessorFor('objectNode', objectNodeRepositoryGetter);
        this.registerInclusionResolver('objectNode', this.objectNode.inclusionResolver);
    }
};
ContentTextRepository = tslib_1.__decorate([
    tslib_1.__param(0, core_1.inject('datasources.db')),
    tslib_1.__param(1, repository_1.repository.getter('ObjectNodeRepository')),
    tslib_1.__metadata("design:paramtypes", [datasources_1.DbDataSource, Function])
], ContentTextRepository);
exports.ContentTextRepository = ContentTextRepository;
//# sourceMappingURL=content-text.repository.js.map