import { Getter } from '@loopback/core';
import { BelongsToAccessor, DefaultCrudRepository } from '@loopback/repository';
import { DbDataSource } from '../datasources';
import { ObjectNode, ObjectNodeRelations, ObjectType } from '../models';
import { ObjectTypeRepository } from './object-type.repository';
export declare class ObjectNodeRepository extends DefaultCrudRepository<ObjectNode, typeof ObjectNode.prototype.id, ObjectNodeRelations> {
    protected objectTypeRepositoryGetter: Getter<ObjectTypeRepository>;
    protected objectNodeRepositoryGetter: Getter<ObjectNodeRepository>;
    readonly objectType: BelongsToAccessor<ObjectType, typeof ObjectNode.prototype.id>;
    readonly parentNode: BelongsToAccessor<ObjectNode, typeof ObjectNode.prototype.id>;
    readonly parentOwner: BelongsToAccessor<ObjectNode, typeof ObjectNode.prototype.id>;
    readonly parentTree: BelongsToAccessor<ObjectNode, typeof ObjectNode.prototype.id>;
    readonly parentNamespace: BelongsToAccessor<ObjectNode, typeof ObjectNode.prototype.id>;
    readonly parentACL: BelongsToAccessor<ObjectNode, typeof ObjectNode.prototype.id>;
    constructor(dataSource: DbDataSource, objectTypeRepositoryGetter: Getter<ObjectTypeRepository>, objectNodeRepositoryGetter: Getter<ObjectNodeRepository>);
}
