import { Getter } from '@loopback/core';
import { BelongsToAccessor, DefaultCrudRepository, HasOneRepositoryFactory } from '@loopback/repository';
import { DbDataSource } from '../datasources';
import { ObjectSubType, ObjectSubTypeRelations, ObjectType } from '../models';
import { ObjectTypeRepository } from './object-type.repository';
export declare class ObjectSubTypeRepository extends DefaultCrudRepository<ObjectSubType, typeof ObjectSubType.prototype.id, ObjectSubTypeRelations> {
    protected objectTypeRepositoryGetter: Getter<ObjectTypeRepository>;
    readonly objectType: BelongsToAccessor<ObjectType, typeof ObjectSubType.prototype.id>;
    readonly objectSubType: HasOneRepositoryFactory<ObjectType, typeof ObjectSubType.prototype.id>;
    readonly subObjectType: BelongsToAccessor<ObjectType, typeof ObjectSubType.prototype.id>;
    constructor(dataSource: DbDataSource, objectTypeRepositoryGetter: Getter<ObjectTypeRepository>);
}
