import { Getter } from '@loopback/core';
import { DefaultCrudRepository, HasManyRepositoryFactory } from '@loopback/repository';
import { DbDataSource } from '../datasources';
import { ObjectSubType, ObjectType, ObjectTypeRelations } from '../models';
import { ObjectSubTypeRepository } from './object-sub-type.repository';
export declare class ObjectTypeRepository extends DefaultCrudRepository<ObjectType, typeof ObjectType.prototype.id, ObjectTypeRelations> {
    protected objectSubTypeRepositoryGetter: Getter<ObjectSubTypeRepository>;
    readonly objectSubTypes: HasManyRepositoryFactory<ObjectSubType, typeof ObjectType.prototype.id>;
    constructor(dataSource: DbDataSource, objectSubTypeRepositoryGetter: Getter<ObjectSubTypeRepository>);
}
