import { IRestEntity } from '@jacquesparis/objects-model';
import { AuthorizationContext, AuthorizationDecision } from '@loopback/authorization';
import { CurrentContext } from '../application.service';
import { AccessRightAbstractService } from './access-rights-abtract.service';
import { AccessRightsProvider, AccessRightsService } from './access-rights.service';
export declare class AccessRightUserService extends AccessRightAbstractService implements AccessRightsProvider {
    protected accessRightsService: AccessRightsService;
    constructor(accessRightsService: AccessRightsService);
    cleanReturnedEntity(entity: IRestEntity, ctx: CurrentContext): Promise<void>;
    protected authorizeRead(ctx: CurrentContext, context: AuthorizationContext): Promise<AuthorizationDecision>;
    protected authorizeCreate(ctx: CurrentContext, context: AuthorizationContext): Promise<AuthorizationDecision>;
    protected authorizeUpdate(ctx: CurrentContext, context: AuthorizationContext): Promise<AuthorizationDecision>;
    protected authorizeDelete(ctx: CurrentContext, context: AuthorizationContext): Promise<AuthorizationDecision>;
}
