import { EntityName } from '../../models/entity-name';
export declare const AccessRightsEntity: typeof EntityName;
export declare enum AccessRightsScope {
    create = "create",
    read = "read",
    update = "update",
    delete = "delete"
}
export declare enum AccessRightMgt {
    access = "access",
    owner = "owner"
}
export declare enum AccessRightPermission {
    create = "create",
    read = "read",
    update = "update",
    delete = "delete",
    access = "access",
    owner = "owner"
}
export declare class AccessRightCRUD {
    create: boolean;
    read: boolean;
    update: boolean;
    delete: boolean;
    constructor(create?: boolean, read?: boolean, update?: boolean, _delete?: boolean);
}
export declare class AccessRightSet {
    create: boolean;
    read: boolean;
    update: boolean;
    delete: boolean;
    access: boolean;
    owner: boolean;
    toAccessRightCRUD(): AccessRightCRUD;
}
export declare class AccessRightPermissions {
    treeRootNode: AccessRightSet;
    treeChildrenNodes: AccessRightSet;
}
export declare const ACCESS_RIGHT_SUBTYPE: {
    name: string;
    acl: boolean;
    owner: boolean;
    namespace: boolean;
    tree: boolean;
    min: number;
    max: number;
    exclusions: never[];
    mandatories: never[];
};
export declare const ACCESS_RIGHTS_DEFINITION_TYPE: {
    name: import("../application.service").ObjectTypeName;
    contentType: string;
    definition: {
        properties: {
            resetCreate: {
                type: string;
                title: string;
                default: boolean;
            };
            resetRead: {
                type: string;
                title: string;
                default: boolean;
            };
            resetUpdate: {
                type: string;
                title: string;
                default: boolean;
            };
            resetDelete: {
                type: string;
                title: string;
                default: boolean;
            };
        };
    };
};
export declare const ACCESS_RIGHT_OWNERS_NODE: {
    name: string;
};
export declare const ACCESS_RIGHTS_GROUP_TYPE: {
    name: import("../application.service").ObjectTypeName;
    contentType: string;
    definition: {
        properties: {
            grantCreate: {
                type: string;
                title: string;
                default: boolean;
            };
            grantRead: {
                type: string;
                title: string;
                default: boolean;
            };
            grantUpdate: {
                type: string;
                title: string;
                default: boolean;
            };
            grantDelete: {
                type: string;
                title: string;
                default: boolean;
            };
        };
    };
};
export declare const ACCESS_RIGHTS_OWNERS_TYPE: {
    name: import("../application.service").ObjectTypeName;
    contentType: string;
    definition: {
        properties: {
            resetOwner: {
                type: string;
                title: string;
                default: boolean;
            };
        };
    };
};
export declare const ACCESS_RIGHTS_ACCESS_MANAGERS_TYPE: {
    name: import("../application.service").ObjectTypeName;
    contentType: string;
    definition: {
        properties: {
            resetAccess: {
                type: string;
                title: string;
                default: boolean;
            };
        };
    };
};
